summaryrefslogtreecommitdiff
path: root/packaging
diff options
context:
space:
mode:
authorscarab <scarab@0ee4d065-81f0-4d1e-b06c-ff20ad07cc3e>2008-08-15 19:57:10 +0000
committerscarab <scarab@0ee4d065-81f0-4d1e-b06c-ff20ad07cc3e>2008-08-15 19:57:10 +0000
commit7bbd60007620cf3cc3ee7a913f7010588808ebb2 (patch)
tree34e72f66dfd1076e23c43074786f935aca70cba1 /packaging
parent50ba3d5e1e9f9eeda049a348efa4645af07610bc (diff)
"- initial commit for GETTEXT support and K&R compilance"
git-svn-id: http://opensvn.csie.org/tuxanci_ng@196 0ee4d065-81f0-4d1e-b06c-ff20ad07cc3e
Diffstat (limited to 'packaging')
-rw-r--r--packaging/gentoo/tuxanci-0.20.0-r1.ebuild54
-rw-r--r--packaging/gentoo/tuxanci-9999.ebuild24
2 files changed, 68 insertions, 10 deletions
diff --git a/packaging/gentoo/tuxanci-0.20.0-r1.ebuild b/packaging/gentoo/tuxanci-0.20.0-r1.ebuild
new file mode 100644
index 0000000..70115bb
--- /dev/null
+++ b/packaging/gentoo/tuxanci-0.20.0-r1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit games cmake-utils
+
+DESCRIPTION="Tuxanci is first cushion shooter based on well-known Czech game Bulanci."
+HOMEPAGE="http://www.tuxanci.org/"
+SRC_URI="http://download.${PN}.org/${PV}/${P}-src.tar.bz2"
+LICENSE="GPL-2"
+
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="alsa dedicated"
+# alsa is used only when building client
+
+DEPEND="!dedicated? (
+ >=media-libs/libsdl-1.2.10
+ >=media-libs/sdl-ttf-2.0.7
+ >=media-libs/sdl-image-1.2.6-r1
+ alsa? (
+ >=media-libs/sdl-mixer-1.2.7
+ )
+ )"
+
+S="${WORKDIR}/pkgs/${P}-src/"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ # setting proper prefix
+ sed -i \
+ -e "s:PATH_DIR\tPREFIX:PATH_DIR:" src/base/path.h \
+ || die "sed config.h failed!"
+ sed -i \
+ -e "s:share/tuxanci:"${GAMES_DATADIR}"/"${PN}":" src/base/path.h \
+ || die "sed config.h failed!"
+ sed -i \
+ -e "s:CMAKE_INSTALL_DATADIR share/:CMAKE_INSTALL_DATADIR /usr/share/games/:" CMakeLists.txt \
+ || die "sed CMakeLists.txt failed!"
+}
+
+src_compile() {
+ local mycmakeargs
+ use alsa || mycmakeargs="${mycmakeargs} -DNO_Audio=1"
+ use dedicated && mycmakeargs="${mycmakeargs} -DServer=1"
+ mycmakeargs="${mycmakeargs} -DPREFIX=\\\"/usr/games\\\" -DCMAKE_INSTALL_PREFIX:PATH=/usr/games"
+ cmake-utils_src_compile
+}
+
+src_install() {
+ cmake-utils_src_install
+ prepgamesdirs
+}
diff --git a/packaging/gentoo/tuxanci-9999.ebuild b/packaging/gentoo/tuxanci-9999.ebuild
index 577563e..2255c0f 100644
--- a/packaging/gentoo/tuxanci-9999.ebuild
+++ b/packaging/gentoo/tuxanci-9999.ebuild
@@ -2,15 +2,16 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
+ESVN_REPO_URI="http://opensvn.csie.org/tuxanci_ng"
inherit games cmake-utils subversion
DESCRIPTION="Tuxanci is first cushion shooter based on well-known Czech game Bulanci."
HOMEPAGE="http://www.tuxanci.org/"
-#SRC_URI=""
-ESVN_REPO_URI="http://opensvn.csie.org/tuxanci_ng"
-LICENSE="GPL2"
+#SRC_URI="http://download.${PN}.org/${PV}/${P}-src.tar.bz2"
+LICENSE="GPL-2"
+
SLOT="0"
-KEYWORDS="~x86 ~amd64"
+KEYWORDS="~amd64 ~x86"
IUSE="alsa dedicated"
# alsa is used only when building client
@@ -21,10 +22,10 @@ DEPEND="!dedicated? (
alsa? (
>=media-libs/sdl-mixer-1.2.7
)
- )
- "
-RDEPEND="${DEPEND}"
-S=${WORKDIR}/${PN}
+ )"
+
+S="${WORKDIR}"/"${PN}"
+
src_unpack() {
subversion_src_unpack
cd "${S}"
@@ -33,19 +34,22 @@ src_unpack() {
-e "s:PATH_DIR\tPREFIX:PATH_DIR:" src/base/path.h \
|| die "sed config.h failed!"
sed -i \
- -e "s:share/tuxanci:${GAMES_DATADIR}/${PN}:" src/base/path.h \
+ -e "s:share/tuxanci:"${GAMES_DATADIR}"/"${PN}":" src/base/path.h \
|| die "sed config.h failed!"
sed -i \
-e "s:CMAKE_INSTALL_DATADIR share/:CMAKE_INSTALL_DATADIR /usr/share/games/:" CMakeLists.txt \
|| die "sed CMakeLists.txt failed!"
}
+
src_compile() {
local mycmakeargs
use alsa || mycmakeargs="${mycmakeargs} -DNO_Audio=1"
- use dedicated && mycmakeargs="${mycmakeargs} -DNO_Server=1"
+ use dedicated && mycmakeargs="${mycmakeargs} -DServer=1"
mycmakeargs="${mycmakeargs} -DPREFIX=\\\"/usr/games\\\" -DCMAKE_INSTALL_PREFIX:PATH=/usr/games"
cmake-utils_src_compile
}
+
src_install() {
cmake-utils_src_install
+ prepgamesdirs
}